# Distributed Architecture

This includes  
* Redis
* Flower


## Celery
### Starting the worker
```shell
celery -A proj worker 
```
#### Options
Worker Options:
  * -n, --hostname HOSTNAME         Set custom hostname (e.g., 'w1@%%h').  
                                    Expands: %%h (hostname), %%n (name) and %%d, (domain).
  * -D, --detach                    Start worker as a background process.
  * -S, --statedb PATH              Path to the state database. The extension
                                  '.db' may be appended to the filename.
  * -l, --loglevel [DEBUG|INFO|WARNING|ERROR|CRITICAL|FATAL]
                                    Logging level.
  * -O, --optimization [default|fair]
                                    Apply optimization profile.
  * --prefetch-multiplier <prefetch multiplier>
                                    Set custom prefetch multiplier value for
                                    this worker instance.
Pool Options:
  * -c, --concurrency <concurrency>
                                    Number of child processes processing the  
                                    queue.  The default is the number of CPUs  
                                    available on your system.  
``` celery worker --help ``` can get more infomation.  
### woker in Windows
add ``` --pool=solo ``` option 
